{% extends "template/app.twig" %}

{% block meta %}
    {% set meta = {'keywords': 'Ventas'} %}
    {{ parent() }}
{% endblock %}

{% block link %}
    {{ parent() }}
{% endblock %}

{% block header %}
    {{ parent() }}
{% endblock %}

{% block aside %}
    {{ parent() }}
{% endblock %}

{% block content %}
    {{ parent() }}
    {% include "template/partial/section/register_list.twig" %}
{% endblock %}

{% block footer %}
    {{ parent() }}
{% endblock %}

{% block script %}
    {{ parent() }}
	<script>
        $(window).load(function () {
			var dataSource2 = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
				prefetch: {
					url: "{{base_url()}}/oportunidad/jsonClientes"
				}
			});
			
			$('.typeclients').typeahead({
				hint: true,
				highlight: true,
				minLength: 1
			},
			{
				displayKey: 'name',
				name:'clients',
				valueKey: 'id',
				source: dataSource2.ttAdapter()
			});
			
			//////////////////////////////////////////////
			
			var dataSource = new Bloodhound({
				datumTokenizer: Bloodhound.tokenizers.obj.whitespace('name'),
				queryTokenizer: Bloodhound.tokenizers.whitespace,
				prefetch: {
					url: "{{base_url()}}/oportunidad/jsonUsuarios"
				}
			});
						
			$('.typeusersoppotunity').typeahead({
				hint: true,
				highlight: true,
				minLength: 1
			},
			{
				displayKey: 'name',
				valueKey: 'id',
				name:'users',
				source: dataSource.ttAdapter()
			});//////////////////////////////////////////////
			
			$(".register-sc").click(function() {
				var number_sc = $(this).data("value"); 
				var id_sc = $(this).data("id"); 
				
				$('#id_detail').val(id_sc);
				$('#number_sc').html("#"+number_sc);
			});
			
			//////////////////////////////////////////////
			
			$(".b-estado-reg").click(function() {
				
				var fecha = $('#expiration_date_date').val();
				var vencimiento = $('#expiration_date_enddate').val();
				var estado = $('#estados').val();
				var id = $('#id_detail').val();
				
				$.ajax({
					type: "POST",
					url: "{{base_url()}}/registro/crearRegistro",
					data: {serial_id: id, estado: estado, fecha: fecha, endfecha: vencimiento},
					dataType: "JSON",
					success: function(data) {
						$('#modalDefault').modal('hide');
						notify('Se ha registrado el cambio', 'success');							
						
						setTimeout(function () { window.location.reload(); }, 1000);	
					},
					error: function(data) {
						notify('Ha ocurrido un error, por favor intente de nuevo!', 'warning');	
					}					
				});
			});
                        
                        
                    $('.date-picker-all').datetimepicker({
                        format: 'DD/MM/YYYY'
                    });
                        
		});
	</script>
    
{% endblock %}